<?xml version="1.0" encoding="utf-8"?>
<OptionList ID="/baanerp/tt/domains/adv.moap" xml:lang="en">
	<Header>
		<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Map operator for public attributes</Title>
	</Header>
	<SimpleSection><Paragraph class="Default">The public attributes of a <Link href="/baanerp/tt/glossary/glossary#100032" role="glossary">business object</Link> receive their value based on one of the following mappings.</Paragraph>
	</SimpleSection>
	<ListValue ID="field"><Value>Protected Attribute</Value>
		<Paragraph class="Default">The public attribute is linked to a protected attribute. The protected attribute may belong to the same business object/component as the public attribute or to a related business object/component.</Paragraph>
		<Paragraph class="Default">If the protected attribute belongs to a related business object/component, the specific business object/component relationship details must be specified.</Paragraph>
	</ListValue>
	<ListValue ID="function"><Value>Calculate</Value>
		<Paragraph class="Default">A public attribute can receive a calculated value. The calculation is always based on protected attributes, linked to table fields of tables that are linked to the business object/component. You must always specify a domain for this mapping.</Paragraph>
	</ListValue>
	<ListValue ID="none"><Value>Not Applicable</Value>
		<Paragraph class="Default">This value indicates that an attribute is not mapped to a protected attribute and not calculated. Use this map operator for values that represent properties of an object that are not stored in a table field. You must always specify a domain for this value.</Paragraph>
	</ListValue>
</OptionList>
